curl --request GET \
--url https://data-tools.prd.arrays.org/api/v1/stocks/institution-holder \
--header 'X-API-Key: <api-key>'import requests
url = "https://data-tools.prd.arrays.org/api/v1/stocks/institution-holder"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://data-tools.prd.arrays.org/api/v1/stocks/institution-holder', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"avg_price_paid": 17.65,
"calendar_end_date": "2014-06-30",
"change_in_market_value": 5250000,
"change_in_market_value_percentage": 24.3056,
"change_in_ownership": 0.0007,
"change_in_ownership_percentage": 16.3377,
"change_in_performance": -939186,
"change_in_shares_number": 176300,
"change_in_shares_number_percentage": 16.3399,
"change_in_weight": 0.0066,
"change_in_weight_percentage": 17.177,
"cik": "0001126328",
"filing_date": "2014-08-12",
"first_added": "2005-12-31",
"holding_period": 35,
"industry_title": "SEMICONDUCTORS & RELATED DEVICES",
"investment_discretion": "DFND",
"investor_name": "PRINCIPAL FINANCIAL GROUP INC",
"is_counted_for_performance": true,
"is_new": false,
"is_sold_out": false,
"last_market_value": 21600000,
"last_ownership": 0.0042,
"last_performance": 2417356,
"last_shares_number": 1078956,
"last_weight": 0.0385,
"market_value": 26850000,
"observed_at": 1407902400,
"ownership": 0.0048,
"performance": 1478169,
"performance_percentage": 6.8434,
"put_call_share": "Share",
"quarter_end_price": 21.39,
"security_cusip": "874039100",
"security_name": "TAIWAN SEMICONDUCTOR MFG LTD",
"shares_number": 1255256,
"shares_type": "SH",
"symbol": "TSM",
"type_of_security": "SPONSORED ADR",
"weight": 0.0452
}
],
"error": {
"code": "RESOURCE_NOT_FOUND",
"details": [
{
"field": "<string>",
"got": "<string>",
"reason": "<string>"
}
],
"docs_url": "<string>",
"examples": [
"<string>"
],
"hint": "<string>",
"message": "The requested resource was not found.",
"suggestions": [
"<string>"
]
},
"metadata": "<unknown>",
"pagination": "<unknown>",
"request_id": "<string>",
"success": true
}{
"data": "<unknown>",
"error": {
"code": "RESOURCE_NOT_FOUND",
"details": [
{
"field": "<string>",
"got": "<string>",
"reason": "<string>"
}
],
"docs_url": "<string>",
"examples": [
"<string>"
],
"hint": "<string>",
"message": "The requested resource was not found.",
"suggestions": [
"<string>"
]
},
"metadata": "<unknown>",
"pagination": "<unknown>",
"request_id": "<string>",
"success": true
}{
"data": "<unknown>",
"error": {
"code": "RESOURCE_NOT_FOUND",
"details": [
{
"field": "<string>",
"got": "<string>",
"reason": "<string>"
}
],
"docs_url": "<string>",
"examples": [
"<string>"
],
"hint": "<string>",
"message": "The requested resource was not found.",
"suggestions": [
"<string>"
]
},
"metadata": "<unknown>",
"pagination": "<unknown>",
"request_id": "<string>",
"success": true
}Get Company Institution Holders Info
US share-class symbols accept both BRK.B and BRK-B. When symbol is provided, matching scalar symbol fields in the response echo the request spelling.
OpenAPI JSON Spec Retrieve institution holder information for a specified stock symbol. This endpoint provides detailed data about institutional investors holding the stock, including their positions, changes, and performance metrics.
Main Use Cases
- Institutional Analysis: Analyze institutional investor positions and changes
- Ownership Tracking: Track institutional ownership and concentration
- Investment Research: Understand institutional investor behavior and trends
- Risk Management: Assess institutional ownership concentration and changes
Response Data Structure
holders([]CompanyHolderInfo): Array of institution holder information
CompanyHolderInfo fields:
calendar_end_date(string): Date of the holding recordcik(string): CIK identifierfiling_date(string): Filing dateinvestor_name(string): Name of the institutional investorsymbol(string): Stock symbolsecurity_name(string): Security nametype_of_security(string): Type of securitysecurity_cusip(string): Security CUSIPshares_type(string): Shares typeput_call_share(string): Put/Call/Share indicatorinvestment_discretion(string): Investment discretion typeindustry_title(string): Industry titleweight(float64): Portfolio weightlast_weight(float64): Previous portfolio weightchange_in_weight(float64): Change in weightchange_in_weight_percentage(float64): Change in weight percentagemarket_value(float64): Market valuelast_market_value(float64): Previous market valuechange_in_market_value(float64): Change in market valuechange_in_market_value_percentage(float64): Change in market value percentageshares_number(string): Number of shares heldlast_shares_number(string): Previous number of shares heldchange_in_shares_number(string): Change in shares numberchange_in_shares_number_percentage(float64): Change in shares number percentagequarter_end_price(float64): Quarter end priceavg_price_paid(float64): Average price paidis_new(bool): Whether this is a new positionis_sold_out(bool): Whether position was sold outownership(float64): Ownership percentagelast_ownership(float64): Previous ownership percentagechange_in_ownership(float64): Change in ownershipchange_in_ownership_percentage(float64): Change in ownership percentageholding_period(int32): Holding period in quartersfirst_added(string): First added dateperformance(string): Performance valueperformance_percentage(float64): Performance percentagelast_performance(string): Previous performance valuechange_in_performance(string): Change in performanceis_counted_for_performance(bool): Whether counted for performanceobserved_at(int64): Observed timestamp (seconds)
Query Parameters:
- symbol: Stock symbol (required, uppercase, e.g., TSM, AAPL, MSFT)
- start_time: Start time (required, Unix timestamp in seconds)
- end_time: End time (required, Unix timestamp in seconds)
- limit: Limit number of results (optional, default: 50, max: 5000)
- time_type: Time type for filtering (required)
CALENDAR_END_DATE: Filter by Date (calendarEndDate) fieldFILING_DATE: Filter by FilingDate fieldOBSERVED_AT: Filter by publish_time field
Authorizations
API Key authentication. Example: "your-api-key-here"
Query Parameters
Stock symbol (uppercase, e.g., TSM, AAPL, MSFT). US share classes accept both BRK.B and BRK-B.
Limit number of results (default: 50, max: 5000)
1 <= x <= 5000Start time (Unix timestamp, required)
End time (Unix timestamp, required)
Time type for filtering: 'CALENDAR_END_DATE' uses Date field, 'FILING_DATE' uses FilingDate field, 'OBSERVED_AT' uses publish_time field
CALENDAR_END_DATE, FILING_DATE, OBSERVED_AT 
